FUNCTION TEMPLATE(3)

NAME
boost::algorithm::find - Generic find algorithm.

SYNOPSIS

// In header: <boost/algorithm/string/find.hpp>
template<typename RangeT, typename FinderT>
  iterator_range< typename range_iterator< RangeT >::type >
  find(RangeT & Input, const FinderT & Finder);

DESCRIPTION

Search the input using the given finder.

Parameters:

    Finder
        Finder object used for searching.

    Input
        A string which will be searched.

Returns:
    An iterator_range delimiting the match. Returned iterator is either RangeT::iterator or RangeT::const_iterator, depending on the constness of the input parameter.